Page MenuHomePhabricator

[Epic] check list of entities against Schema
Closed, ResolvedPublic

Description

As an editor I want to verify a set of entities against a Schema in order to find the ones that don't match the Schema and fix them.

BDD
GIVEN a Schema page
AND a link saying "Check entities against this Schema"
WHEN clicking the link
THEN I am taken to an external tool
AND the Schema code is pre-filled in the input field
AND I can enter a SPARQL query to get the list of entities to check against

Acceptance criteria:

  • link exists and is marked as external link
  • clicking link leads to external tool
  • external tool has Schema code pre-filled

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2019, 11:51 AM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher renamed this task from check Schema against entities to [Story] check Schema against entities.Feb 24 2019, 3:38 PM
Lydia_Pintscher renamed this task from [Story] check Schema against entities to [Story] check Schema against list of entities.
Lucas_Werkmeister_WMDE renamed this task from [Story] check Schema against list of entities to [Epic] check Schema against list of entities.
Lydia_Pintscher renamed this task from [Epic] check Schema against list of entities to [Epic] check list of entities against Schema.Mar 3 2019, 11:10 AM
Lydia_Pintscher updated the task description. (Show Details)

All the subtasks of this task are done, but I guess the task isn’t done yet:

link exists…

…and is marked as external link

✘ oops

clicking link leads to external tool

external tool has Schema code pre-filled

AND I can enter a SPARQL query to get the list of entities to check against

not really (you first need to figure out how to configure the SPARQL endpoint, and then where and how to enter the SPARQL query

I’m not sure what to do with this task now… create additional subtasks?

…and is marked as external link

✘ oops

For me the link already has the class external. However, there don't seem to be any CSS rules active for this class on this element?

AND I can enter a SPARQL query to get the list of entities to check against

not really (you first need to figure out how to configure the SPARQL endpoint, and then where and how to enter the SPARQL query

Not sure what we need to do to make this work with Wikidata?

I’m not sure what to do with this task now… create additional subtasks?

The first one could have an additional subtask, even though it should hopefully only be a minor patch. But with a subtask it can be properly verified.
The second could use one as well to describe the problem better and to decide what we should still do, if anything?

For me the link already has the class external. However, there don't seem to be any CSS rules active for this class on this element?

MediaWiki only has styles for .mw-parser-output .external. However, I don’t think adding class="mw-parser-output" to our custom output is a great idea, so we should investigate a few other options first.

Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 21 2019, 2:15 PM
Lucas_Werkmeister_WMDE moved this task from Backlog to Done on the Shape Expressions Sprint 4 board.
Lucas_Werkmeister_WMDE claimed this task.